Package org.globus.gsi

# Class GlobusCredentialException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.globus.gsi.GlobusCredentialException

All Implemented Interfaces:
  `Serializable`

public class GlobusCredentialException extends Exception
Encapsulates the exceptions caused by various errors in/problems with Globus proxies.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFECTIVE`
`static final int`
`EXPIRED`
`static final int`
`FAILURE`
`static final int`
`IO_ERROR`
`static final int`
`SEC_ERROR`

## Constructor Summary

Constructors
Constructor
Description
`GlobusCredentialException(int errorCode, String msgId, Object[] args)`
`GlobusCredentialException(int errorCode, String msgId, Object[] args, Throwable root)`
`GlobusCredentialException(int errorCode, String msgId, Throwable root)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### FAILURE

public static final int FAILURE

See Also:
  - Constant Field Values

### EXPIRED

public static final int EXPIRED

See Also:
  - Constant Field Values

### DEFECTIVE

public static final int DEFECTIVE

See Also:
  - Constant Field Values

### IO_ERROR

public static final int IO_ERROR

See Also:
  - Constant Field Values

### SEC_ERROR

public static final int SEC_ERROR

See Also:
  - Constant Field Values

## Constructor Details

### GlobusCredentialException

public GlobusCredentialException(int errorCode, String msgId, Throwable root)

### GlobusCredentialException

public GlobusCredentialException(int errorCode, String msgId, Object[] args)

### GlobusCredentialException

public GlobusCredentialException(int errorCode, String msgId, Object[] args, Throwable root)

## Method Details

### getErrorCode

public int getErrorCode()